﻿@model SelectedPrograms
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Class roster - advanced
            </h1>
            <br />
            <div>
                <span style="font-size:20px"> {{Date}}  </span>
            </div>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>

            <a ng-if="IsInstructor" ngaction="ConfigureRosterReport_View" ng-show="!ConfigureRosterReport_View" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" ng-if="" title="Only admin access the action" ng-click="EditReport()">
                <i style="margin-top: 11px;color:#000 " class="jbi-gears"></i>
            </a>
            <a ng-if="!IsInstructor" ngaction="ConfigureRosterReport_View" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Configure report" ng-click="EditReport()">
                <i style="margin-top: 11px;color:#000 " class="jbi-gears"></i>
            </a>


        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <form ng-submit="runReport()" class="no-margin">
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-init="Model.IsAllPrograms = 'true'" ng-model="Model.IsAllPrograms" name="isallprogram" value="true" type="radio" />
                    <span class="check"></span>
                    All programs
                </label>
            </div>
            <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsAllPrograms" name="isallprogram" value="false" type="radio" />
                    <span class="check"></span>
                    Selected programs
                </label>
            </div>
        </div>
        <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllPrograms == 'false'">
            <select chosen multiple
                    ng-model="Model._SelectedPrograms"
                    data-placeholder="Select some programs"
                    ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.Programs"></select>
        </div>

        <div class="clearfix"></div>
        <button type="submit" class="success large place-right button" ng-click="RunReport()" style="margin-bottom: 40px">Run</button>
        <div class="clearfix"></div>
    </form>

    <div class="clearfix"></div>
    <div ng-show="IsFirstRun" class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="RosterReportGrid" scroll options="RosterReportGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
